package net.knarcraft.ffmpegconverter.streams;

public class AudioStream extends StreamObject {
    private String language; //The audio language
    private int channels; //Whether mono, stereo, etc
    private String title; //Titles exist

    public AudioStream(String codec, int absoluteIndex, int relativeIndex, String language, String title, int channels) {
        this.codecType = "audio";
        this.codecName = codec;
        this.absoluteIndex = absoluteIndex;
        this.language = language;
        this.title = title;
        this.relativeIndex = relativeIndex;
        this.channels = channels;
    }

    public String getLanguage() {
        return this.language;
    }

    public int getChannels() {
        return this.channels;
    }

    public String getTitle() {
        return this.title;
    }
}
